Subject: Re: bug#60338: [PATCH] Add option to present server changes as diffs

From: Juri Linkov <[email-masked]>
Date: Thu, 07 Sep 2023 09:28:31 +0300

> Two other thoughts after trying it:
>
> - I would probably want to bind the originally proposed
>   'diff-apply-everything' to 'C-c C-c' (e.g. "commit the change to disk"),
>   but that's already taken in diff-mode.

If there are no more intuitive keys, maybe then use the proposed by Philip
'C-c C-x'?

> - 'git diff' has a less-frequently used option called '--word-diff' which
>   could reduce the length of the diff in the case I am testing (but I guess
>   diff-mode would have to be updated to support that output). And another
>   way in that direction would be to reduce the size of the diff context
>  (e.g. to 0).

Whereas the output of '--word-diff' is closer to VS Code, but it's hard to read
for anyone accustomed to the diff unified format ;-)

BTW, it looks '--word-diff' could help Samuel in bug#61396?